<?php
/**
 * @copyright 
 * @license   
 */

class ktai_do_fh_good_delete extends OpenPNE_Action
{
    function handleError($errors)
    {
        ktai_display_error($errors);
    }
    function execute($requests)
    {

        $tail = $GLOBALS['KTAI_URL_TAIL'];
        $u = $GLOBALS['KTAI_C_MEMBER_ID'];
        $target_c_member_id = $u;

        // --- リクエスト変数
        $target_c_diary_id = $requests['target_c_diary_id'];
        $good_type = $requests['good_type'];
        // ----------
        $result = good_delete($target_c_diary_id, $target_c_member_id, $good_type);

        $parms = array( 'target_c_diary_id' => intval($target_c_diary_id) );
        openpne_redirect('ktai', 'page_fh_diary', $parms);
    }
}

?>
